function _œ(id) {

	// About object is returned if there is no 'id' parameter
	var about = {
		Version: "2.0.0",
		Author: "Landon Gravat",
		Created: "Fall 2017",
		Updated: "12 November 2017"
	};

	if (id) {

		// Avoid clobbering the window scope:
		// return a new _ object if we're in the wrong scope
		if (window === this) {
			return new _œ(id);
		}

		// We're in the correct object scope:
		// Init our element object and return the object
		this.e = document.getElementById(id);
		return this;
	} else {
		// No 'id' parameter was given, return the 'about' object
		return about;
	}
}
_œ.prototype = {


	/*|====================================================================================================================================================|
	  |====================================================================================================================================================|*/

	// Workhorse Functions
	addListener: function(event, callback) { // v1.0.0
		this.e.addEventListener(event, callback, false);
	},

	type: function(obj) { // v2.0.0
		if (obj == null) {
			return obj + "";
		}
		return typeof obj === "object" || typeof obj === "function" ? class2type[toString.call(obj)] || "object" : typeof obj;
	},

	on: function(evt, fn) {
		if (document.addEventListener) {
			this.e.addEventListener(evt, fn, false);
		} else if (document.attachEvent) {
			this.e.attachEvent("on" + evt, fn);
		} else {
			this.e["on" + evt] = fn;
		}
		return this;
	},


	/*|====================================================================================================================================================|
	  |====================================================================================================================================================|*/

	// DOM Functions
	hide: function() { // v1.0.0
		this.e.style.display = 'none'; // Updated v1.1.7
		return this;
	},

	show: function() { // v1.0.0
		this.e.style.display = ''; // Updated v1.1.7
		return this;
	},

	bgcolor: function(color) { // v1.0.0
		this.e.style.background = color;
		return this;
	},

	val: function(newval) { // v1.0.0
		this.e.value = newval;
		return this;
	},

	toggle: function() { // v1.0.0
		if (this.e.style.visibility !== 'hidden') {
			this.e.style.visibility = 'hidden';
		} else {
			this.e.style.visibility = 'visible';
		}
		return this;
	},

	size: function(height, width) { // v1.0.0
		this.e.style.height = height + 'px';
		this.e.style.width = width + 'px';
		return this;
	},

	css: function(attr, val) { // v1.0.0
		this.e.style[attr] = val;
		return this;
	},

	height: function(height) { // v1.0.1
		this.e.style.height = height + 'px';
		return this;
	},

	width: function(width) { // v1.0.1
		this.e.style.width = width + 'px';
		return this;
	},

	html: function(content) { // v1.0.2
		this.e.innerHTML = content;
		return this;
	},

	colAmt: function(cols) { // v1.1.6
		this.e.style.columnCount = cols;
		return this;
	},

	decoType: function(type) { // v1.1.6
		this.e.style.textDecoration = type;
		return this;
	},

	decoColor: function(color) { // v1.1.6
		this.e.style.textDecorationColor = color;
		return this;
	},

	decoStyle: function(style) { // v1.1.6
		this.e.style.textDecorationStyle = style;
		return this;
	},

	txtIndent: function(amt) { // v1.1.7
		this.e.style.textIndent = amt;
		return this;
	},

	cursor: function(type) { // v1.1.7
		this.e.style.cursor = type;
		return this;
	},


	/*|====================================================================================================================================================|
	  |====================================================================================================================================================|*/

	// Conditional Return Functions
	isEmptyObject: function(obj) { // v2.0.0
		var name;
		for (name in obj) {
			return false;
		}
		return true;
	},

	isFunction: function(obj) { // v2.0.0
		return this.type(obj) === "function";
	},

	isWindow: function(obj) { // v2.0.0
		return obj != null && obj == obj.window;
	},

	isXmlDoc: function(elem) { // v2.0.0
		var documentElement = elem && (elem.ownerDocument || elem).documentElement;
		return documentElement ? documentElement.nodeName !== "HTML" : false;
	},


	/*|====================================================================================================================================================|
	  |====================================================================================================================================================|*/

	// Event Handlers
	click: function(callback) { // v1.0.1
		this.addListener('click', callback);
		return this;
	},

	mouseOver: function(callback) {
		this.addListener('onMouseOver', callback);
		return this;
	},

	keyDown: function(callback) {
		this.addListener('keydown', callback);
		return this;
	},

	mouseWheel: function(callback) {
		this.addListener('wheel', callback);
		return this;
	},

	doubleClick: function(callback) {
		this.addListener('dblclick', callback);
		return this;
	},

	scroll: function(callback) {
		this.addListener('scroll', callback);
		return this;
	},

	animationEnd: function(callback) {
		this.addListener('animationend', callback);
		return this;
	},

	mouseOut: function(callback) { // v1.1.5
		this.addListener('mouseout', callback);
		return this;
	},

	beforeScript: function(callback) { // v1.1.8
		this.addListener('beforescriptexecute', callback);
		return this;
	},

	afterScript: function(callback) { // v1.1.8
		this.addListener('afterscriptexecute', callback);
		return this;
	},

	beforePrint: function(callback) { // v1.1.8
		this.addListener('beforeprint', callback);
		return this;
	},

	afterPrint: function(callback) { // v1.1.8
		this.addListener('afterprint', callback);
		return this;
	},

	loadResource: function(callback) { // v1.1.9
		this.addListener('load', callback);
		return this;
	},

	transitionRun: function(callback) { // v1.1.9
		this.addListener('transitionrun', callback);
		return this;
	},

	transitionStart: function(callback) { // v1.1.9
		this.addListener('transitionstart', callback);
		return this;
	},

	transitionCancel: function(callback) { // v1.1.9
		this.addListener('transitioncancel', callback);
		return this;
	},

	transitionEnd: function(callback) { // v1.1.9
		this.addListener('transitionend', callback);
		return this;
	},
	
	browserOnline: function(callback) { // v2.0.0
		this.addListener('online', callback);
		return this;
	},
	
	browserOffline: function(callback) { // v2.0.0
		this.addListener('offline', callback);
		return this;
	},
	
	fornReset: function(callback) { // v2.0.0
		this.addListener('reset', callback);
		return this;
	},
	
	formSubmit: function(callback) { // v2.0.0
		this.addListener('submit', callback);
		return this;
	}
}